Notification handlers

GET https://olinke.com/api/notification-handlers/
curl --request GET \
--url 'https://olinke.com/api/notification-handlers/' \
--header 'Authorization: Bearer {api_key}' \
パラメータ 詳細 説明
search オプション 文字列 検索文字列。
search_by オプション 文字列 検索するフィールドは何ですか。許可されている値は:name
is_enabled オプション ブール値
type オプション 文字列 検索するフィールドは何ですか。許可されている値は:email, webhook, slack, discord, telegram, microsoft_teams, twilio, twilio_call, whatsapp, x, google_chat, internal_notification, push_subscriber_id
datetime_field オプション 文字列 許可された値: datetime, last_datetime
datetime_start オプション 文字列 Filter results starting from this datetime. Y-m-d H:i:s format.
datetime_end オプション 文字列 Filter results up to this datetime. Y-m-d H:i:s format.
order_by オプション 文字列 結果をどのフィールドで並べ替えるか。許可されている値は:notification_handler_id, datetime, last_datetime, name
order_type オプション 文字列 結果の並び順。許可されている値は、昇順のためのASCと、降順のためのDESCです。
search オプション 文字列 検索文字列。
search_by オプション 文字列 検索するフィールドは何ですか。許可されている値は:name
is_enabled オプション ブール値
type オプション 文字列 検索するフィールドは何ですか。許可されている値は:email, webhook, slack, discord, telegram, microsoft_teams, twilio, twilio_call, whatsapp, x, google_chat, internal_notification, push_subscriber_id
datetime_field オプション 文字列 許可された値: datetime, last_datetime
datetime_start オプション 文字列 Filter results starting from this datetime. Y-m-d H:i:s format.
datetime_end オプション 文字列 Filter results up to this datetime. Y-m-d H:i:s format.
order_by オプション 文字列 結果をどのフィールドで並べ替えるか。許可されている値は:notification_handler_id, datetime, last_datetime, name
order_type オプション 文字列 結果の並び順。許可されている値は、昇順のためのASCと、降順のためのDESCです。
page オプション 整数 結果を取得したいページ番号。デフォルトは1です。
results_per_page オプション 整数 1ページあたりの結果数はどのくらいにしますか。許可されている値は:10, 25, 50, 100, 250, 500, 1000。デフォルトは25です。
{
    "data": [
        {
            "id": 1,
            "type": "email",
            "name": "Work email",
            "settings": {
                "email": "hey@example.com"
            },
            "is_enabled": true,
            "last_datetime": null,
            "datetime": "2026-04-17 06:22:07",
        }
    ],
    "meta": {
        "page": 1,
        "results_per_page": 25,
        "total": 1,
        "total_pages": 1
    },
    "links": {
        "first": "https://olinke.com/api/notification-handlers?page=1",
        "last": "https://olinke.com/api/notification-handlers?page=1",
        "next": null,
        "prev": null,
        "self": "https://olinke.com/api/notification-handlers?page=1"
    }
}
GET https://olinke.com/api/notification-handlers/{notification_handler_id}
curl --request GET \
--url 'https://olinke.com/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
{
    "data": {
        "id": 1,
        "type": "email",
        "name": "Work email",
        "settings": {
            "email": "hey@example.com"
        },
        "is_enabled": true,
        "last_datetime": null,
        "datetime": "2026-04-17 06:22:07",
    }
}
POST https://olinke.com/api/notification-handlers
パラメータ 詳細 説明
name 必須 文字列 -
type 必須 文字列 許可された値: email, webhook, slack, discord, telegram, microsoft_teams, twilio, twilio_call, whatsapp, x, google_chat, internal_notification, push_subscriber_id
email オプション 文字列 利用可能な時期: type = email Email
webhook オプション 文字列 利用可能な時期: type = webhook Webhook URL
slack オプション 文字列 利用可能な時期: type = slack Slack webhook URL
discord オプション 文字列 利用可能な時期: type = discord Discord webhook URL
telegram オプション 文字列 利用可能な時期: type = telegram Telegram API Token
telegram_chat_id オプション 文字列 利用可能な時期: type = telegram Telegram Chat ID
microsoft_teams オプション 文字列 利用可能な時期: type = microsoft_teams Microsoft Teams webhook URL
google_chat オプション 文字列 利用可能な時期: type = google_chat Google Chat webhook URL
x_consumer_key オプション 文字列 利用可能な時期: type = x Telegram API Token
x_consumer_secret オプション 文字列 利用可能な時期: type = x Telegram API Token
x_access_token オプション 文字列 利用可能な時期: type = x Telegram API Token
x_access_token_secret オプション 文字列 利用可能な時期: type = x Telegram API Token
push_subscriber_id オプション 文字列 利用可能な時期: type = push_subscriber_id Push subscriber
twilio オプション 文字列 利用可能な時期: type = twilio Phone number
twilio_call オプション 文字列 利用可能な時期: type = twilio_call Phone number
whatsapp オプション 文字列 利用可能な時期: type = whatsapp Phone number
curl --request POST \
--url 'https://olinke.com/api/notification-handlers' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--form 'type=email' \
--form 'email=hello@example.com' \
{
    "data": {
        "id": 1
    }
}
POST https://olinke.com/api/notification-handlers/{notification_handler_id}
パラメータ 詳細 説明
name オプション 文字列 -
type オプション 文字列 許可された値: email, webhook, slack, discord, telegram, microsoft_teams, twilio, twilio_call, whatsapp, x, google_chat, internal_notification, push_subscriber_id
email オプション 文字列 利用可能な時期: type = email Email
webhook オプション 文字列 利用可能な時期: type = webhook Webhook URL
slack オプション 文字列 利用可能な時期: type = slack Slack webhook URL
discord オプション 文字列 利用可能な時期: type = discord Discord webhook URL
telegram オプション 文字列 利用可能な時期: type = telegram Telegram API Token
telegram_chat_id オプション 文字列 利用可能な時期: type = telegram Telegram Chat ID
microsoft_teams オプション 文字列 利用可能な時期: type = microsoft_teams Microsoft Teams webhook URL
google_chat オプション 文字列 利用可能な時期: type = google_chat Google Chat webhook URL
x_consumer_key オプション 文字列 利用可能な時期: type = x Telegram API Token
x_consumer_secret オプション 文字列 利用可能な時期: type = x Telegram API Token
x_access_token オプション 文字列 利用可能な時期: type = x Telegram API Token
x_access_token_secret オプション 文字列 利用可能な時期: type = x Telegram API Token
push_subscriber_id オプション 文字列 利用可能な時期: type = push_subscriber_id Push subscriber
twilio オプション 文字列 利用可能な時期: type = twilio Phone number
twilio_call オプション 文字列 利用可能な時期: type = twilio_call Phone number
whatsapp オプション 文字列 利用可能な時期: type = whatsapp Phone number
is_enabled オプション ブール値 -
curl --request POST \
--url 'https://olinke.com/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example new name' \
--form 'is_enabled=1' \
{
    "data": {
        "id": 1
    }
}
DELETE https://olinke.com/api/notification-handlers/{notification_handler_id}
curl --request DELETE \
--url 'https://olinke.com/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \